gnutls_transport_set_ptr(3)

NAME
gnutls_transport_set_ptr - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_transport_set_ptr(gnutls_session_t session, gnutls_transport_ptr_t ptr);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

gnutls_transport_ptr_t ptr
    is the value.

DESCRIPTION
Used to set the first argument of the transport function (like PUSH and PULL). In berkeley style sockets this function will set the connection handle.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.